describe('kynfig - process.env.NODE_ENV = test', () => {
  process.env.NODE_ENV = 'test';
  const kynfig = require('../kynfig');

  it('exists', () => {
    expect(kynfig.get).toBeDefined();
  });

  it('gets property on non nested json object', () => {
    expect(kynfig.get('test')).toBe('differentOne');
  });

  it('respects default settings if no new config detected', () => {
    expect(kynfig.get('nested.test')).toBe('nestedTestProperty');
  });

  it('respects default nested objects', () => {
    expect(kynfig.get('nested.test2')).toBe('differentNestedTestProperty');
  });

  it('respects default deeply nested objects', () => {
    expect(kynfig.get('goingDeep.deeper.hereWeAre')).toBe('stuffValue');
  });

  it('returns every value stringified', () => {
    expect(kynfig.get('number')).toBe('10');
  });
});