describe('kynfig', () => {
  delete process.env.NODE_ENV;
  const kynfig = require('../kynfig');

  it('exists', () => {
    expect(kynfig.get).toBeDefined();
  });

  it('gets property on non nested json object', () => {
    expect(kynfig.get('test')).toBe('testProperty');
  });

  it('gets property on non nested json object', () => {
    expect(kynfig.get('test')).toBe('testProperty');
  });

  it('gets property on nested json object', () => {
    expect(kynfig.get('nested.test')).toBe('nestedTestProperty');
  });

  it('gets property on a deeply nested json object', () => {
    expect(kynfig.get('goingDeep.deeper.hereWeAre')).toBe('deeplyNest')
  });

  it('throws an error if the property asked for does not exist', () => {
    expect(() => {
      kynfig.get('nonsense');
    }).toThrowError('Error: No property found');
  });
});